<div>
    <h2>
        <span jhiTranslate="typerApp.rank.home.title">Bets</span>
    </h2>

    <div class="table-responsive" *ngIf="leagues">
        <table class="table">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col"><span jhiTranslate="typerApp.rank.home.name">Name</span></th>
                <th scope="col"><span jhiTranslate="typerApp.rank.home.your-points">Your points</span></th>
                <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let league of leagues ;trackBy: trackId; let i = index">
                <th scope="row">{{i+1}}</th>
                <td>{{league.name}}</td>
                <td>{{league.userPoints != null ? league.userPoints : '0'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../rank', league?.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="typerApp.rank.home.go">Go</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
